## class osgUtil::ReflectionMapGenerator

> This is the most simple cube map generator.

## Inheritance:

### Public Methods

inline ReflectionMapGenerator(int texture_size)
inline ReflectionMapGenerator(const ReflectionMapGenerator &copy, const osg::CopyOp &copyop)
inline osg::Vec4 compute_color(const osg::Vec3 &R) const

### Protected Methods

virtual ~ReflectionMapGenerator()
ReflectionMapGenerator& operator=(const ReflectionMapGenerator &)
inline virtual osg::Vec4 compute_color(const osg::Vec3 &R) const

### Inherited from CubeMapGenerator:

### Public Methods

void generateMap(bool use_osg_system = true)
inline osg::Image* getImage(osg::TextureCubeMap::Face face)
inline const osg::Image* getImage(osg::TextureCubeMap::Face face) const
inline void set_pixel(int index, int c, int r, const osg::Vec4 &color)
inline osg::Vec4 vector_to_color(const osg::Vec3 &vec)

### Protected Methods

inline static osg::Vec4 vector_to_color(const osg::Vec3 &vec)

## Documentation

> This is the most simple cube map generator. It performs a direct association between reflection vector and RGBA color (C = R).

`virtual ~ReflectionMapGenerator()`

`ReflectionMapGenerator& operator=(const ReflectionMapGenerator &)`

`inline virtual osg::Vec4 compute_color(const osg::Vec3 &R) const`

`inline ReflectionMapGenerator(int texture_size)`

`inline ReflectionMapGenerator(const ReflectionMapGenerator &copy, const osg::CopyOp &copyop)`

`inline osg::Vec4 compute_color(const osg::Vec3 &R) const`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.